/// <reference types="yeoman-environment" />
import Command from '../../lib/base';
export default class Project extends Command {
    static description: string;
    static flags: {
        language: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'output-directory': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'project-type': import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static args: {
        project_name: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    static yeomanEnvCreator: typeof import("yeoman-environment").createEnv;
    run(): Promise<void>;
}
